"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = require("react");
var useCollapsible = function (isCollapsedOnLoad) {
    if (isCollapsedOnLoad === void 0) { isCollapsedOnLoad = false; }
    var _a = (0, react_1.useState)(false), isCollapsed = _a[0], setIsCollapsed = _a[1];
    var onToggle = function () {
        setIsCollapsed(!isCollapsed);
    };
    var _b = (0, react_1.useState)("auto"), height = _b[0], setHeight = _b[1];
    var ref = (0, react_1.useCallback)(function (node) {
        if (node) {
            var nodeHeight = node.getBoundingClientRect().height;
            setHeight(nodeHeight);
            if (isCollapsedOnLoad) {
                setIsCollapsed(true);
            }
        }
    }, [isCollapsedOnLoad]);
    return { ref: ref, isCollapsed: isCollapsed, height: height, onToggle: onToggle };
};
exports.default = useCollapsible;
